Update Product Collection
Update a specific product collection with Id :collectionId
PUT
/
products
/
collections
/
{collectionId}
Update Product Collection
curl --request PUT \
--url https://services.leadconnectorhq.com/products/collections/{collectionId} \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "LOCATION",
"name": "Best Sellers",
"slug": "best-sellers",
"image": "http://example.com/watermark.png",
"type": "manual",
"productIds": [
"655b33a82209e60b6adb87a5",
"655b33a82209e60b6adb87a6"
],
"seo": {
"title": "Best Sellers",
"description": "Collections where all the best products are available"
},
"ruleHash": "abc123def456",
"ruleVersion": 1,
"stats": {}
}
'const options = {
method: 'PUT',
headers: {Version: '<version>', 'Content-Type': 'application/json'},
body: JSON.stringify({
altId: '6578278e879ad2646715ba9c',
altType: 'LOCATION',
name: 'Best Sellers',
slug: 'best-sellers',
image: 'http://example.com/watermark.png',
type: 'manual',
productIds: ['655b33a82209e60b6adb87a5', '655b33a82209e60b6adb87a6'],
seo: {
title: 'Best Sellers',
description: 'Collections where all the best products are available'
},
ruleHash: 'abc123def456',
ruleVersion: 1,
stats: {}
})
};
fetch('https://services.leadconnectorhq.com/products/collections/{collectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/products/collections/{collectionId}"
payload = {
"altId": "6578278e879ad2646715ba9c",
"altType": "LOCATION",
"name": "Best Sellers",
"slug": "best-sellers",
"image": "http://example.com/watermark.png",
"type": "manual",
"productIds": ["655b33a82209e60b6adb87a5", "655b33a82209e60b6adb87a6"],
"seo": {
"title": "Best Sellers",
"description": "Collections where all the best products are available"
},
"ruleHash": "abc123def456",
"ruleVersion": 1,
"stats": {}
}
headers = {
"Version": "<version>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"status": true,
"message": "Successfully created"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Path Parameters
Body
application/json
Last modified on March 8, 2026
Was this page helpful?
Update Product Collection
curl --request PUT \
--url https://services.leadconnectorhq.com/products/collections/{collectionId} \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "LOCATION",
"name": "Best Sellers",
"slug": "best-sellers",
"image": "http://example.com/watermark.png",
"type": "manual",
"productIds": [
"655b33a82209e60b6adb87a5",
"655b33a82209e60b6adb87a6"
],
"seo": {
"title": "Best Sellers",
"description": "Collections where all the best products are available"
},
"ruleHash": "abc123def456",
"ruleVersion": 1,
"stats": {}
}
'const options = {
method: 'PUT',
headers: {Version: '<version>', 'Content-Type': 'application/json'},
body: JSON.stringify({
altId: '6578278e879ad2646715ba9c',
altType: 'LOCATION',
name: 'Best Sellers',
slug: 'best-sellers',
image: 'http://example.com/watermark.png',
type: 'manual',
productIds: ['655b33a82209e60b6adb87a5', '655b33a82209e60b6adb87a6'],
seo: {
title: 'Best Sellers',
description: 'Collections where all the best products are available'
},
ruleHash: 'abc123def456',
ruleVersion: 1,
stats: {}
})
};
fetch('https://services.leadconnectorhq.com/products/collections/{collectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/products/collections/{collectionId}"
payload = {
"altId": "6578278e879ad2646715ba9c",
"altType": "LOCATION",
"name": "Best Sellers",
"slug": "best-sellers",
"image": "http://example.com/watermark.png",
"type": "manual",
"productIds": ["655b33a82209e60b6adb87a5", "655b33a82209e60b6adb87a6"],
"seo": {
"title": "Best Sellers",
"description": "Collections where all the best products are available"
},
"ruleHash": "abc123def456",
"ruleVersion": 1,
"stats": {}
}
headers = {
"Version": "<version>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"status": true,
"message": "Successfully created"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}